# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Clamp < Formula
  desc "🗜 Clamp — Replace environment variables in any file using go template syntax"
  homepage "https://github.com/julienbreux/clamp/"
  version "1.4.0"
  bottle :unneeded

  on_macos do
    if Hardware::CPU.intel?
      url "https://github.com/JulienBreux/clamp/releases/download/v1.4.0/clamp_1.4.0_Darwin_x86_64.tar.gz"
      sha256 "0af289494f033519f9971bfd130a992d51245701f7dc9d71883d2c8b1f3517fe"
    end
    if Hardware::CPU.arm?
      url "https://github.com/JulienBreux/clamp/releases/download/v1.4.0/clamp_1.4.0_Darwin_arm64.tar.gz"
      sha256 "be0014972edd9dc5c3e58f14505f0d37fa75b1fbd719bd415e897c88d25dd69a"
    end
  end

  on_linux do
    if Hardware::CPU.intel?
      url "https://github.com/JulienBreux/clamp/releases/download/v1.4.0/clamp_1.4.0_Linux_x86_64.tar.gz"
      sha256 "be783eda4e7d8ec16aa3183393ff126d1c88db9aaa3be9a55346989914c2b9a7"
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/JulienBreux/clamp/releases/download/v1.4.0/clamp_1.4.0_Linux_arm64.tar.gz"
      sha256 "e443604550ee94b4886a0c2383495938c4e5449f73bc6b9631ed0e9fd7f9728f"
    end
  end

  def install
    bin.install "clamp"
  end

  test do
    system "clamp -v"
  end
end
